Skip to navigation

Simulate VBA Transaction

View as Markdown
Simulate an incoming bank transfer transaction for Virtual Account Payments in Sandbox Environment.

Headers

x-user-ipstringRequired

End user’s originating IP. More details here

x-api-keystringRequired

Your Partner API key. You can find this in the Partner Dashboard.

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

typestringRequired

Type of transaction to simulate. Supported value - bank_transfer.

Request

This endpoint expects an object.
amountdoubleRequired

Transaction amount to simulate. Supported range - ‘0 to 50’

paymentMethodstringRequired
Payment method identifier.
sourceobjectRequired
destinationobjectRequired

Response

dataobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error